__SK_MEM_SCHEDULE(9)

NAME
__sk_mem_schedule - increase sk_forward_alloc and memory_allocated

SYNOPSIS

int __sk_mem_schedule(struct sock * sk, int size, int kind);

ARGUMENTS

sk
    socket

size
    memory size to allocate

kind
    allocation type

DESCRIPTION

If kind is SK_MEM_SEND, it means wmem allocation. Otherwise it means rmem allocation. This function assumes that protocols which have memory_pressure use sk_wmem_queued as write buffer accounting.

COPYRIGHT